<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous">
</head>

<body>

    <script src="https://unpkg.com/vue@next"></script>

    <div id="app" class="container">
        <br>
        <center>
            <h1>Añadir Un Producto</h1>
        </center>
        <div id="formulario" class="form-group">
            <center>

                <input v-model="newTodo.description" type="text" class="form-control" placeholder="Ingrese el Nombre">
                <span v-if="error" class="text-danger"> campo Requerido</span>
                <br>
                <input v-model="newTodo.nombre" type="text" class="form-control" placeholder="Ingrese una Descripcion">
                <span v-if="error" class="text-danger"> campo Requerido</span>
                <br>
                <input v-model="newTodo.precio" type="number" class="form-control" placeholder="Ingrese el Precio" minlength="0">
                <span v-if="error" class="text-danger"> campo Requerido</span>
                <br>
                <span v-if="error" class="text-danger"> Precio no puede ser menor a 1</span>
                <br>
                <br>
                <button class="btn btn-primary " @click="addTodo()">Agregar</button>
            </center>
        </div>
        <hr>
        <table class="table">
            <thead>
                <tr>
                    <th>Nombre</th>
                    <th>Descripcion</th>
                    <th>Precio</th>
                </tr>
            </thead>

            <tbody>
                <tr v-for="(todo, index) in todos">

                    <td>
                        <div v-if="editIndex === index" class="form-group">
                            <input type="text" v-model="editTodo.nombre" class="form-control">
                            <span v-if="error" class="text-danger"> campo Requerido</span>
                            <br>
                        </div>
                        <div v-else>
                            <div>{{todo.nombre}}</div>
                        </div>
                    </td>

                    <td>
                        <div v-if="editIndex === index" class="form-group">
                            <input type="text" v-model="editTodo.description" class="form-control">
                            <span v-if="error" class="text-danger"> campo Requerido</span>
                            <br>
                        </div>
                        <div v-else>
                            <div>{{todo.description}}</div>
                        </div>
                    </td>

                    <td>
                        <div v-if="editIndex === index" class="form-group">
                            <input type="number" v-model="editTodo.precio" class="form-control" minlength="0">
                            <span v-if="error" class="text-danger"> campo Requerido</span>
                            <br>
                            <span v-if="error" class="text-danger"> Precio no puede ser menor a 1</span>
                            <br>
                        </div>
                        <div v-else>
                            <div>{{todo.precio}}</div>
                        </div>
                    </td>



                    <td>
                        <div v-if="editIndex === index">
                            <button class="btn btn-primary " @click="saveTodo(index)" style="margin-right: 20px;">Guardar</button>
                            <button class="btn btn-danger " @click="cancel(index)">Cancelar</button>

                        </div>
                        <div v-else>
                            <button class="btn btn-primary " @click="setTodo(index) " style="margin-right: 20px;">Editar</button>
                            <button class="btn btn-danger " @click="deleteTodo(index) ">Eliminar</button>
                        </div>
                    </td>

                </tr>
            </tbody>
        </table>
    </div>




    <script src="main.js "></script>





</body>

</html>